Ogre::Technique::GPUVendorRule Struct Reference

Rule controlling whether technique is deemed supported based on GPU vendor. More...

`#include <OgreTechnique.h>`

List of all members.

## Public Member Functions

| GPUVendorRule ()
| GPUVendorRule (GPUVendor v, IncludeOrExclude ie)

## Public Attributes

GPUVendor | vendor
IncludeOrExclude | includeOrExclude

## Detailed Description

Rule controlling whether technique is deemed supported based on GPU vendor.

Definition at line 122 of file OgreTechnique.h.

## Constructor & Destructor Documentation

Ogre::Technique::GPUVendorRule::GPUVendorRule | ( |  | ) |

Definition at line 126 of file OgreTechnique.h.

Ogre::Technique::GPUVendorRule::GPUVendorRule | ( | GPUVendor | v,
|  | IncludeOrExclude | ie
| ) |  |

Definition at line 128 of file OgreTechnique.h.

## Member Data Documentation

IncludeOrExclude Ogre::Technique::GPUVendorRule::includeOrExclude

Definition at line 125 of file OgreTechnique.h.

GPUVendor Ogre::Technique::GPUVendorRule::vendor

Definition at line 124 of file OgreTechnique.h.

The documentation for this struct was generated from the following file:

- OgreTechnique.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:41